    # File lib/active_merchant/billing/response.rb, line 22
          def initialize(success, message, params = {}, options = {})
            @success, @message, @params = success, message, params.stringify_keys
            @test = options[:test] || false
            @authorization = options[:authorization]
            @fraud_review = options[:fraud_review]
            @avs_result = AVSResult.new(options[:avs_result]).to_hash
            @cvv_result = CVVResult.new(options[:cvv_result]).to_hash
          end